function WeaponFactoryTweakData:scar20_setup_forbid( mod_one, mod_two ) 
    if self.parts[mod_one] and self.parts[mod_two] then
        self.parts[mod_one].forbids = self.parts[mod_one].forbids or {}
        table.insert(self.parts[mod_one].forbids, mod_two)
        self.parts[mod_two].forbids = self.parts[mod_two].forbids or {}
        table.insert(self.parts[mod_two].forbids, mod_one)
    end
end

Hooks:PostHook( WeaponFactoryTweakData, "init", "MK20ModInit", function(self)

	--Forbid compatiblity
	self.parts.wpn_fps_ass_scar_body_ssr.forbids = { "wpn_fps_ass_scar_o_flipups_up", "wpn_fps_ass_scar_o_flipups_down" }
	self:scar20_setup_forbid("wpn_fps_ass_scar_body_ssr", "wpn_fps_ass_scar_b_long")
	self:scar20_setup_forbid("wpn_fps_ass_scar_body_ssr", "wpn_fps_ass_scar_b_short")
	self:scar20_setup_forbid("wpn_fps_ass_scar_body_ssr", "wpn_fps_ass_scar_fg_railext")
	--check compatibility with Front Sight Scar
	if BeardLib.Utils:FindMod("FrontSightSCAR") then
		self:scar20_setup_forbid("wpn_fps_ass_scar_body_ssr", "wpn_fps_scar_flipup")
	end
	
	--Making sure default scar ironsight are added back if ssr body is unequipped
	if not self.wpn_fps_ass_scar.adds.wpn_fps_ass_scar_body_standard then
		self.wpn_fps_ass_scar.adds.wpn_fps_ass_scar_body_standard = {}
	end
	table.insert(self.wpn_fps_ass_scar.adds.wpn_fps_ass_scar_body_standard, "wpn_fps_ass_scar_o_flipups_up")
	
	
	--Scope Part
	self.parts.wpn_fps_ass_scar_scope_ssr.stance_mod = {
		wpn_fps_ass_scar = {
			translation = Vector3(0, -31, -0.75)
		}
	}
	-- self.parts.wpn_fps_ass_scar_body_ssr.override.wpn_fps_ass_scar_scope_ssr = { adds = {"wpn_fps_ass_scar_o_adjust_ssr"} }
	self.parts.wpn_fps_ass_scar_irons_ssr.forbids = nil
	-- self.parts.wpn_fps_ass_scar_o_adjust_ssr.forbids = nil
	
	--Adjustment for other optic
	-- self.parts.wpn_fps_ass_scar_o_adjust_ssr.stance_mod = {
		-- wpn_fps_ass_scar = {
			-- translation = Vector3(0, 0, -2.1)
		-- }
	-- }
	--Ironsight stance for SSR body
	self.parts.wpn_fps_ass_scar_irons_ssr.stance_mod = {
		wpn_fps_ass_scar = {
			translation = Vector3(0, 0, 2.1)
		}
	}
	
    for i, sight_id in ipairs(self.wpn_fps_ass_scar.uses_parts) do
        if (self.parts[sight_id].a_obj and self.parts[sight_id].a_obj == "a_o" ) then
            self.parts[sight_id].override = self.parts[sight_id].override or {}
            self.parts.wpn_fps_ass_scar_body_ssr.override[sight_id] = self.parts.wpn_fps_ass_scar_body_ssr.override[sight_id] or {}
            self.parts.wpn_fps_ass_scar_body_ssr.override[sight_id].override = self.parts.wpn_fps_ass_scar_body_ssr.override[sight_id].override or {}
            self.parts.wpn_fps_ass_scar_body_ssr.override[sight_id].override.wpn_fps_ass_scar_irons_ssr = {
                stance_mod = {
                    wpn_fps_ass_scar = {
                        translation = Vector3(0, 0, 0)
                    }
                }
            }
        end
    end
	
end )